Name:           platform
Version:        2.0.1
Release:        2%{?dist}
Summary:        Platform support library used by libCEC and binary add-ons for Kodi

Group:          System Environment/Libraries
License:        GPLv2+
URL:            https://github.com/Pulse-Eight/platform/
Source0:        https://github.com/Pulse-Eight/%{name}/archive/p8-%{name}-%{version}.tar.gz
# GPLv2 license file
Source1:        http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
# Fix .cmake files installation path
Patch0:         %{name}-2.0.1-install.patch

BuildRequires:  cmake

%description
%{summary}.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake

%description devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.


%prep
%setup -q -n %{name}-p8-%{name}-%{version}
%patch0 -p1 -b .install

cp -p %{SOURCE1} .


%build
%cmake .
make %{?_smp_mflags}


%install
%make_install


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc README.md
%license gpl-2.0.txt
%{_libdir}/*.so.*


%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/p8-%{name}/
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Apr 26 2016 Peter Robinson <pbrobinson@fedoraproject.org> 2.0.1-2
- Move to upstream new p8 naming scheme (rhbz 1327853)

* Fri Feb 05 2016 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Aug 21 2015 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.10-4
- Add Requires on cmake for devel subpackage

* Sun Aug 16 2015 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.10-3
- Add license text file

* Tue Jul 28 2015 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.10-2
- Unbundle fstrcmp library

* Sun Jul 19 2015 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.10-1
- Initiam RPM release
